import InitForm from "../InitForm";
import { Drawer } from "antd";
import React, { useState, memo } from "react";

// title="Basic Drawer"
// placement="right"
// closable={false}
// onClose={this.onClose}
// visible={this.state.visible}
// getContainer={false}
// style={{ position: 'absolute' }}

function DrawInitForm(props) {
  let newProps = { ...props };
  delete newProps.children;
  return (
    <Drawer
      maskClosable={false}
      placement="right"
      closable={true}
      getContainer={false}
      style={{ position: "absolute",transform:"translateX(0)" }}
      {...props}
    >
      {props.children}
      <InitForm {...newProps}></InitForm>
    </Drawer>
  );
}

export default DrawInitForm;
